@media (max-width: 1399.98px) {
    html {
        font-size: calc(1vw / 16);
    }
}

/* lg <= Extra large (xl) */
@media (max-width: 1199.98px) {
    * {
        scrollbar-width: 0;
    }

    *::-webkit-scrollbar {
        width: 0;
        height: 0;
    }

    html {
        font-size: calc(1vw / 14);
    }
}

/* xs <= Small (sm) */
@media (max-width: 767.98px) {
    :root {
        --indentbig: var(--indent);
        --heading1: 50rem;
        --heading2: 38rem;
        --heading3: 28rem;
    }

    html {
        font-size: calc(1vw / 5);
    }

    .sticky {
        position: relative;
        top: 0;
    }

    .section {
        padding: 70rem 0;
    }

    .header__phone {
        display: none;
    }

    .header__logo img {
        width: 190rem;
    }

    .header.hidden .header__bottom {
        transform: translateY(0);
    }

    .header__top {
        background-color: var(--black);
        display: none;
        opacity: 0;
        visibility: hidden;
        transition: transform .4s ease;
        transform: translateY(-100%);
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        overflow-y: auto;
        height: 100vh;
        z-index: -1;
        padding-top: 140rem;
    }

    .header__top.open {
        display: block;
        opacity: 1;
        visibility: visible;
    }

    .header__top.active {
        transform: translateY(0);
    }

    .header__nav ul {
        flex-direction: column;
    }

    .header__contacts {
        gap: 10rem;
    }

    .bar-menu {
        width: 44rem;
        height: 44rem;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        user-select: none;
        flex: 0 0 auto;
    }

    .bar-menu span {
        display: flex;
        width: 50%;
        height: 2rem;
        background-color: #fff;
        position: relative;
        transition: background-color .4s ease;
    }

    .bar-menu span::before,
    .bar-menu span::after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 2rem;
        background-color: #fff;
        transition: transform .4s ease;
    }

    .bar-menu span::before {
        top: -5rem;
    }

    .bar-menu span::after {
        top: 5rem;
    }

    .bar-menu.active span {
        background-color: transparent;
    }

    .bar-menu.active span::before {
        top: 0;
        transform: rotate(-225deg) translateY(-50%);
    }

    .bar-menu.active span::after {
        top: 0;
        transform: rotate(225deg) translateY(-50%);
    }

    .hero__title {
        font-size: 70rem;
    }

    .hero__buttons .btn {
        min-width: auto;
    }
    
    .hero .img-background {
        object-position: right;
    }

    .about__grid,
    .benefits__grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .benefits {
        margin-top: 70rem;
        padding-top: 50rem;
    }

    .directions__grid {
        margin-top: 50rem;
        grid-template-columns: repeat(1, 1fr);
    }

    .background-block__title {
        width: 100%;
    }

    .background-block__title img {
        width: 38rem;
    }

    .about.full .about__content {
        max-width: 100%;
        padding: 0 var(--gap);
    }

    .calls__buttons {
        width: 100%;
        grid-template-columns: repeat(1, 1fr);
    }

    .portfolio__subtitle {
        width: 100%;
    }

    .portfolio__grid {
        margin-top: 70rem;
        grid-template-columns: repeat(1, 1fr);
    }

    .portfolio__info {
        flex-direction: column;
        align-items: flex-start;
    }

    .about__wrapper {
        gap: 50rem;
    }

    .about__buttons .btn {
        min-width: max-content;
    }

    .about__grid:nth-child(even) .about__content {
        order: 0;
    }

    .comparisons__grid {
        margin-top: 50rem;
        grid-template-columns: repeat(1, 1fr);
    }

    .reviews-swiper .swiper-slide {
        width: 420rem;
    }

    .modal__inner-wrap {
        padding: 20rem 30rem;
    }

    .modal__image img {
        height: 230rem;
    }

    .modal-heading {
        width: 100%;
    }

    .form-wrap {
        grid-template-columns: repeat(1, 1fr);
    }

    .footer {
        padding: 50rem 0;
    }

    .footer__container {
        grid-template-columns: repeat(1, 1fr);
    }

    .footer__menu {
        width: 100%;
    }

    .footer__contacts {
        align-items: flex-start;
        margin-bottom: var(--indent);
    }

    .pb-0 {
        padding-bottom: 0;
    }
}

@media (min-width: 1919.99px) {
    html {
        font-size: calc(1vw / 22);
    }
}

@media not (hover: none) {
    a:hover {
        color: var(--accent);
    }

    .btn.white:hover {
        border-color: var(--accent);
    }

    .btn.accent:hover {
        color: var(--accent);
        background-color: transparent;
    }

    .btn.black:hover {
        color: var(--accent);
    }

    .calls__buttons .btn:hover {
        color: var(--black);
        border-color: var(--black);
    }

    .calls__buttons .btn:hover img {
        filter: invert(1);
    }
}